GET /repos/{owner}/{repo}/comments/{comment_id}/reactions

github.com:github-rest-api

Summary: List reactions for a commit comment
Operation ID: reactions/list-for-commit-comment
Auth: bearer_token
Description

List the reactions to a [commit comment](https://docs.github.com/rest/commits/comments#get-a-commit-comment).

Parameters (6)

comment_id (integer, path, required)

The unique identifier of the comment.

content (string, query, optional)

Returns a single [reaction type](https://docs.github.com/rest/reactions/reactions#about-reactions). Omit this parameter to list all reactions to a commit comment.

Constraints: {'enum': ['+1', '-1', 'laugh', 'confused', 'heart', 'hooray', 'rocket', 'eyes']}

owner (string, path, required)

The account owner of the repository. The name is not case sensitive.

page (integer, query, optional, default: 1)

The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

per_page (integer, query, optional, default: 30)

The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

repo (string, path, required)

The name of the repository without the `.git` extension. The name is not case sensitive.

No probe data for this endpoint yet.